Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:38 2009

## Asterisk developer's documentation

# fast_originate_helper Struct Reference
[AMI functions]

Collaboration diagram for fast_originate_helper:

[legend]

## Data Fields

char | account [AST_MAX_ACCOUNT_CODE]
char | app [AST_MAX_APP]
char | appdata [AST_MAX_MANHEADER_LEN]
char | cid_name [AST_MAX_MANHEADER_LEN]
char | cid_num [AST_MAX_MANHEADER_LEN]
char | context [AST_MAX_CONTEXT]
char | data [AST_MAX_MANHEADER_LEN]
char | exten [AST_MAX_EXTENSION]
char | idtext [AST_MAX_MANHEADER_LEN]
int | priority
char | tech [AST_MAX_MANHEADER_LEN]
int | timeout
struct ast_variable * | vars

## Detailed Description

Doxygen group

Definition at line 66 of file manager.c.

## Field Documentation

char account[AST_MAX_ACCOUNT_CODE]

Definition at line 77 of file manager.c.

Referenced by action_originate(), and fast_originate().

char app[AST_MAX_APP]

Definition at line 70 of file manager.c.

Referenced by action_originate(), and fast_originate().

char appdata[AST_MAX_MANHEADER_LEN]

Definition at line 71 of file manager.c.

Referenced by action_originate(), and fast_originate().

char cid_name[AST_MAX_MANHEADER_LEN]

Definition at line 72 of file manager.c.

Referenced by action_originate(), and fast_originate().

char cid_num[AST_MAX_MANHEADER_LEN]

Definition at line 73 of file manager.c.

Referenced by action_originate(), and fast_originate().

char context[AST_MAX_CONTEXT]

Definition at line 74 of file manager.c.

Referenced by action_originate(), and fast_originate().

char data[AST_MAX_MANHEADER_LEN]

Definition at line 68 of file manager.c.

Referenced by action_originate(), and fast_originate().

char exten[AST_MAX_EXTENSION]

Definition at line 75 of file manager.c.

Referenced by action_originate(), and fast_originate().

char idtext[AST_MAX_MANHEADER_LEN]

Definition at line 76 of file manager.c.

Referenced by action_originate(), and fast_originate().

int priority

Definition at line 78 of file manager.c.

Referenced by action_originate(), and fast_originate().

char tech[AST_MAX_MANHEADER_LEN]

Definition at line 67 of file manager.c.

Referenced by action_originate(), and fast_originate().

int timeout

Definition at line 69 of file manager.c.

Referenced by action_originate(), and fast_originate().

struct ast_variable* vars`[read]`

Definition at line 79 of file manager.c.

Referenced by action_originate(), and fast_originate().

The documentation for this struct was generated from the following file:

- manager.c